Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler
Class SpecialClassLoader

    java.lang.Object
      java.lang.ClassLoader
          edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler.SpecialClassLoader

     class SpecialClassLoader

extends java.lang.ClassLoader

Field Summary
`private java.util.Map<java.lang.String,MemoryByteCode>` | `m`

Constructor Summary
`SpecialClassLoader()`

Method Summary
`void` | `addClass(java.lang.String name, MemoryByteCode mbc)`
`protected java.lang.Class<?>` | `findClass(java.lang.String name)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m

    private java.util.Map<java.lang.String,MemoryByteCode> m

Constructor Detail

### SpecialClassLoader

    SpecialClassLoader()

Method Detail

### findClass

    protected java.lang.Class<?> findClass(java.lang.String name)
                                    throws java.lang.ClassNotFoundException

  Overrides:
    `findClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### addClass

    public void addClass(java.lang.String name,
                         MemoryByteCode mbc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD